# Annual Sunlight Exposure

![](/files/ksDXShTswLwy7RlnLVX3)

![](/files/eWk3B9QgTqagbqmbGcHa) - [\[source code\]](https://github.com/ladybug-tools/honeybee-grasshopper-radiance/blob/master/honeybee_grasshopper_radiance/src//HB%20Annual%20Sunlight%20Exposure.py)

Calculate Annual Sunlight Exposure from a results folder.

Note: This component will only output a LEED compliant ASE if you've run the simulation with all operable shading devices retracted. If you are using results with operable shading devices, then this output is NOT LEED compliant.

### Inputs

* **results \[Required]**

An annual results folder containing direct illuminance results. This can be the output of the "HB Annual Daylight" component. This can also be just the path to the results folder.

* **occ\_sch**

An annual occupancy schedule as a Ladybug Data Collection or a HB-Energy schedule object. This can also be the identifier of a schedule in your HB-Energy schedule library. Any value in this schedule that is 0.1 or above will be considered occupied. If None, a schedule from 8AM to 6PM on all days will be used.

* **threshold**

The threshold (lux) that determines if a sensor is overlit (default: 1000).

* **target\_hrs**

The number of occupied hours that cannot receive higher illuminance than the direct threshold (default: 250).

* **grid\_filter**

The name of a grid or a pattern to filter the grids. For instance, first\_floor\_\* will simulate only the sensor grids that have an identifier that starts with first\_floor\_. By default all the grids will be processed.

### Outputs

* **report**

Reports, errors, warnings, etc.

* **ASE**

Annual sunlight exposure as a percentage for each sensor grid.

* **hrs\_above**

The number of hours above the threshold for each sensor point. These can be plugged into the "LB Spatial Heatmap" component along with meshes of the sensor grids to visualize results.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ladybug.tools/hb-radiance-primer/components/4_results/annual_sunlight_exposure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
